import {
  ArrowLeftOutlined_default,
  LoadingOutlined_default,
  SwapRightOutlined_default,
  __toESM,
  config_provider_default,
  getState,
  i,
  i18n_default,
  postMessage,
  require_react,
  require_react_dom,
  select_default,
  setState,
  theme_default,
  useMessage
} from "./chunk-KAGTDE7K.js";

// src/renderer/HomeIndex.tsx
var import_react3 = __toESM(require_react());
var import_react_dom = __toESM(require_react_dom());

// src/renderer/Home.tsx
var import_react2 = __toESM(require_react());

// src/renderer/hooks/useVscode.ts
var import_react = __toESM(require_react());
function useMessage2(eventName, handler, conditions = []) {
  let eventsName = Array.of();
  if (!Array.isArray(eventName)) {
    eventsName.push(eventName);
  } else {
    eventsName = eventName;
  }
  (0, import_react.useEffect)(() => {
    let isMounted = true;
    const eventListener = (event) => {
      const {
        data: { type, payload }
      } = event;
      if (isMounted && eventsName.includes(type)) {
        handler.call(null, payload, type);
      }
    };
    window.addEventListener("message", eventListener);
    () => {
      isMounted = false;
      window.removeEventListener("message", eventListener);
    };
  }, [eventName, conditions]);
}

// src/renderer/Home.tsx
var options = [
  {
    label: i18n_default.t("connect2Cluster"),
    value: "local"
  },
  {
    label: i18n_default.t("connect2Server"),
    value: "server"
  }
];
function Home() {
  var _a, _b, _c;
  const [home, setHome] = i({
    userInfo: getState("userInfo") || void 0,
    aidcList: getState("aidcList") || [],
    curAidcId: getState("curAidcId") || void 0,
    vscodeTheme: Number(window.VSCODE_THEME) || 1,
    loginLoading: false
  });
  useMessage();
  useMessage2("updateHome", (payload) => {
    const { userInfo, aidcList = [], curAidcId } = payload;
    console.log("userInfoPayload", payload);
    setHome((draft) => {
      draft.userInfo = userInfo;
      draft.aidcList = aidcList;
      draft.curAidcId = curAidcId;
      draft.loginLoading = false;
    });
    setState("userInfo", userInfo);
    setState("aidcList", aidcList);
    setState("curAidcId", curAidcId);
  });
  useMessage2("updateTheme", (payload) => {
    console.log("updateTheme", payload);
    const { vscodeTheme } = payload;
    setHome((draft) => {
      draft.vscodeTheme = vscodeTheme;
    });
  });
  useMessage2("updateLoading", (payload) => {
    setHome((draft) => {
      draft.loginLoading = false;
    });
  });
  const onLogin = () => {
    setHome((draft) => {
      draft.loginLoading = true;
    });
    postMessage({
      type: "executeCommand",
      data: {
        command: "Zetyunhost.loginZetyun",
        data: null
      }
    });
  };
  const onLogout = () => {
    postMessage({
      type: "executeCommand",
      data: {
        command: "Zetyunhost.logoutZetyun",
        data: null
      }
    });
  };
  const bgStyle = home.userInfo ? {
    backgroundImage: `url(${window.IMAGE_URL}/logo_bg.png)`,
    backgroundRepeat: "no-repeat",
    backgroundPosition: "right 20px bottom 20px",
    backgroundSize: "80px 80px",
    height: "100%",
    padding: "20px",
    minWidth: "300px"
  } : {
    backgroundImage: `url(${window.IMAGE_URL}/home_bg.png)`,
    backgroundSize: "cover",
    height: "100%",
    padding: "20px",
    minWidth: "300px"
  };
  const onGoWorkspace = () => {
    postMessage({
      type: "executeCommand",
      data: {
        command: "Zetyunhost.goTreeView",
        data: null
      }
    });
  };
  const onChangeAidc = (value) => {
    setHome((draft) => {
      draft.curAidcId = value;
    });
    setState("curAidcId", value);
    console.log("curAidcId\uFF1A", value);
    postMessage({
      type: "executeCommand",
      data: {
        command: "Zetyunhost.changeAidc",
        data: home.aidcList.find((cur) => cur.id === value)
      }
    });
  };
  return /* @__PURE__ */ import_react2.default.createElement(config_provider_default, {
    theme: {
      algorithm: home.vscodeTheme === 2 ? theme_default.darkAlgorithm : theme_default.defaultAlgorithm,
      token: {
        colorPrimary: "#0078d4"
      },
      components: {
        Button: {
          fontWeight: "500"
        },
        Input: {
          colorBgContainer: home.vscodeTheme === 2 ? "rgba(255, 255, 255, 0.16)" : "#f3f3f3",
          colorBgContainerDisabled: home.vscodeTheme === 2 ? "rgba(255, 255, 255, 0.16)" : "#f3f3f3",
          colorBorder: "transparent"
        },
        InputNumber: {
          colorBgContainer: home.vscodeTheme === 2 ? "rgba(255, 255, 255, 0.16)" : "#f3f3f3",
          colorBgContainerDisabled: home.vscodeTheme === 2 ? "rgba(255, 255, 255, 0.16)" : "#f3f3f3",
          colorBorder: "transparent"
        },
        Select: {
          colorBgContainer: home.vscodeTheme === 2 ? "rgba(255, 255, 255, 0.16)" : "#e6e6e7",
          colorBgContainerDisabled: home.vscodeTheme === 2 ? "rgba(255, 255, 255, 0.16)" : "#e6e6e7"
        }
      }
    }
  }, /* @__PURE__ */ import_react2.default.createElement("div", {
    style: bgStyle
  }, home.userInfo && /* @__PURE__ */ import_react2.default.createElement("div", null, /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { marginBottom: "40px" }
  }, /* @__PURE__ */ import_react2.default.createElement("span", {
    onClick: onGoWorkspace,
    style: { width: "106px", height: "24px", borderRadius: "4px", padding: "7px 10px", background: home.vscodeTheme === 2 ? "rgba(255,255,255,0.16)" : "#dcdcdd", color: home.vscodeTheme === 2 ? "rgba(255,255,255,0.8)" : "#0A111A", cursor: "pointer" }
  }, /* @__PURE__ */ import_react2.default.createElement(ArrowLeftOutlined_default, {
    style: { marginRight: "8px" }
  }), i18n_default.t("home.backToWS"))), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { display: "flex", marginBottom: "34px" }
  }, /* @__PURE__ */ import_react2.default.createElement("div", null, /* @__PURE__ */ import_react2.default.createElement("img", {
    style: { width: "52px" },
    src: `${window.IMAGE_URL}/avator.png`
  })), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { marginLeft: "10px" }
  }, /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { position: "relative", top: "-6px", fontSize: "20px", marginBottom: "8px", fontWeight: "600", color: home.vscodeTheme === 2 ? "#fff" : "#0A111A" }
  }, "Hello ", ((_a = home.userInfo) == null ? void 0 : _a.displayName) || ((_b = home.userInfo) == null ? void 0 : _b.userName), "!"), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { fontWeight: "600", fontSize: "15px", background: "linear-gradient(to right, #c36eff 0%, #1d73ff 50%, #5364ff 100%)", backgroundClip: "text", color: "transparent" }
  }, i18n_default.t("home.welcomeAladdin")))), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { display: "flex", marginBottom: "24px" }
  }, /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { fontSize: "14px", minWidth: "105px" }
  }, i18n_default.t("home.aiCenter"), "\uFF1A"), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { flex: 1 }
  }, /* @__PURE__ */ import_react2.default.createElement(select_default, {
    size: "small",
    value: home.curAidcId,
    style: { width: "100%", maxWidth: "280px" },
    onChange: onChangeAidc,
    options: (_c = home.aidcList) == null ? void 0 : _c.map((cur) => ({ label: cur.aidcNameEn, value: cur.id }))
  }))), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { position: "fixed", bottom: "20px", left: "20px", cursor: "pointer" }
  }, /* @__PURE__ */ import_react2.default.createElement("div", {
    onClick: onLogout,
    style: { textAlign: "center", lineHeight: "26px", width: "100px", height: "30px", borderRadius: "14px", border: "1px solid", borderColor: home.vscodeTheme === 2 ? "#848484" : "#8d8e8e", color: home.vscodeTheme === 2 ? "#848484" : "#8d8e8e" }
  }, i18n_default.t("home.logout")))), !home.userInfo && /* @__PURE__ */ import_react2.default.createElement("div", null, /* @__PURE__ */ import_react2.default.createElement("div", null, /* @__PURE__ */ import_react2.default.createElement("img", {
    style: { width: "21px", marginRight: "8px" },
    src: `${window.IMAGE_URL}/logo.png`
  }), /* @__PURE__ */ import_react2.default.createElement("span", {
    style: { color: "#fff", fontSize: "20px", fontWeight: "normal", position: "relative", top: "-2px" }
  }, "ALADDIN")), /* @__PURE__ */ import_react2.default.createElement("br", null), /* @__PURE__ */ import_react2.default.createElement("div", null, /* @__PURE__ */ import_react2.default.createElement("span", {
    style: { whiteSpace: "nowrap", fontSize: 14, fontWeight: "bold", background: "linear-gradient(to right,rgb(223, 250, 69) 0%, #CCFFFA 60%, #FF5454 100%)", backgroundClip: "text", color: "transparent" }
  }, i18n_default.t("home.serviceForDever")), /* @__PURE__ */ import_react2.default.createElement("br", null), /* @__PURE__ */ import_react2.default.createElement("span", {
    style: { whiteSpace: "nowrap", fontSize: 24, fontWeight: "bold", background: "linear-gradient(to right, rgb(223, 250, 69) 0%, #CCFFFA 60%, #FF5454 100%)", backgroundClip: "text", color: "transparent" }
  }, i18n_default.t("home.selfInnovate"))), /* @__PURE__ */ import_react2.default.createElement("br", null), /* @__PURE__ */ import_react2.default.createElement("div", {
    style: { color: "#fff", fontSize: "12px", marginBottom: "40px" }
  }, "Login to your account to start LLM development"), /* @__PURE__ */ import_react2.default.createElement("br", null), /* @__PURE__ */ import_react2.default.createElement("div", {
    onClick: onLogin,
    style: { cursor: "pointer", width: 200, height: 32, lineHeight: "32px", borderRadius: 32, display: "flex", justifyContent: "center", alignItems: "center", background: "#fff" }
  }, /* @__PURE__ */ import_react2.default.createElement("span", {
    style: { marginRight: "8px", fontWeight: "bold", fontSize: "15px", background: "linear-gradient(to right, #c36eff 0%, #1d73ff 50%, #5364ff 100%)", backgroundClip: "text", color: "transparent" }
  }, i18n_default.t("home.login")), home.loginLoading ? /* @__PURE__ */ import_react2.default.createElement(LoadingOutlined_default, {
    style: { color: "#5364ff", fontWeight: "bold" }
  }) : /* @__PURE__ */ import_react2.default.createElement(SwapRightOutlined_default, {
    style: { color: "#5364ff", fontWeight: "bold" }
  })))));
}

// src/renderer/HomeIndex.tsx
(0, import_react_dom.render)(/* @__PURE__ */ import_react3.default.createElement(Home, null), document.getElementById("root"));
//# sourceMappingURL=home.js.map
